# Module chrono::naive [−] [src]

Date and time types unconcerned with timezones.

They are primarily building blocks for other types (e.g. `TimeZone`), but can be also used for the simpler date and time handling.

## Structs

IsoWeek | ISO 8601 week.
NaiveDate | ISO 8601 calendar date without timezone. Allows for every proleptic Gregorian date from Jan 1, 262145 BCE to Dec 31, 262143 CE. Also supports the conversion from ISO 8601 ordinal and week date.
NaiveDateTime | ISO 8601 combined date and time without timezone.
NaiveTime | ISO 8601 time without timezone. Allows for the nanosecond precision and optional leap second representation.

## Constants

MAX_DATE | The maximum possible `NaiveDate` (December 31, 262143 CE).
MAX_DATETIME | The maximum possible `NaiveDateTime`.
MIN_DATE | The minimum possible `NaiveDate` (January 1, 262145 BCE).
MIN_DATETIME | The minimum possible `NaiveDateTime`.